### Encoding: latin1

### Name: scattermap
### Title: Interactive scatterplot and map
### Aliases: scattermap
### Keywords: regression spatial multivariate

### ** Examples

# data on price indices of real estate in France
data(immob)
midiP <- readOGR(system.file("vectors/region.mif", package = "GeoXp")[1], "region")
cont_midiP<-spdf2list(midiP)$poly
scattermap(immob$longitude,immob$latitude,immob$prix.vente,
immob$prix.location,carte= cont_midiP,listvar=immob,
listnomvar=names(immob))

# data baltimore
data(baltimore)
scattermap(baltimore$X,baltimore$Y,baltimore$PRICE,baltimore$SQFT,
listvar=baltimore, listnomvar=names(baltimore),labvar=c("SQFT","PRICE"),
criteria=(baltimore$CITCOU==1),axis=TRUE,lablong="X",lablat="Y",opt=2)

# Data Eire
data(eire)
data(eire.polys)
eire.contours<-polylist2list(eire.polys)
scattermap(eire$V1,eire$V2,eire$ROADACC,eire$OWNCONS,
listvar=eire,listnomvar=names(eire),carte=eire.contours,
labvar=c("Routes","Taux de consomation"),opt=2,quantiles=0.95)



